ServletRequestAttributeEvent (Servlet 4.0 API Documentation - Apache Tomcat 9.0.120)
Description: declaration: package: javax.servlet, class: ServletRequestAttributeEvent

# Class ServletRequestAttributeEvent

java.lang.Object
java.util.EventObject
javax.servlet.ServletRequestEvent
javax.servlet.ServletRequestAttributeEvent

All Implemented Interfaces:
  `Serializable`

public class ServletRequestAttributeEvent extends ServletRequestEvent
This is the event class for notifications of changes to the attributes of the servlet request in an application.

Since:
  Servlet 2.4
See Also:
  - `ServletRequestAttributeListener`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletRequestAttributeEvent(ServletContext sc, ServletRequest request, String name, Object value)`
  Construct a ServletRequestAttributeEvent giving the servlet context of this web application, the ServletRequest whose attributes are changing and the name and value of the attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the name of the attribute that changed on the ServletRequest.
  `Object`
  `getValue()`
  Returns the value of the attribute that has been added, removed or replaced.

  ### Methods inherited from class ServletRequestEvent

  `getServletContext, getServletRequest`

  ### Methods inherited from class EventObject

  `getSource, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServletRequestAttributeEvent

    public ServletRequestAttributeEvent(ServletContext sc, ServletRequest request, String name, Object value)
    Construct a ServletRequestAttributeEvent giving the servlet context of this web application, the ServletRequest whose attributes are changing and the name and value of the attribute.
    Parameters:
      `sc` - the ServletContext that is sending the event.
      `request` - the ServletRequest that is sending the event.
      `name` - the name of the request attribute.
      `value` - the value of the request attribute.

- ## Method Details

  - ### getName

    public String getName()
    Return the name of the attribute that changed on the ServletRequest.
    Returns:
      the name of the changed request attribute

  - ### getValue

    public Object getValue()
    Returns the value of the attribute that has been added, removed or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.
    Returns:
      the value of the changed request attribute